Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LandmarkState Class Reference

A class describing a landmark. More...

`#include <LandmarkState.h>`

Collaboration diagram for LandmarkState:

[legend]
List of all members.

## Public Types
enum | type { Beacon, Goal, Line, Edge }
## Public Member Functions
| LandmarkState ()
| LandmarkState (Vector3< double > pposition, int bbeaconColor, double wweight)
## Public Attributes
Vector3< double > | position
int | beaconColor
bool | visible
long | timeWhenLastSeen
double | typeWeight

## Detailed Description

A class describing a landmark.

Definition at line 18 of file LandmarkState.h.

## Member Enumeration Documentation

enum LandmarkState::type

  | Enumeration values:
  Beacon |
  Goal |
  Line |
  Edge |
Definition at line 28 of file LandmarkState.h.

## Constructor & Destructor Documentation

LandmarkState::LandmarkState | ( |  | ) | `[inline]`

| Definition at line 42 of file LandmarkState.h.

LandmarkState::LandmarkState | ( | Vector3< double > | pposition,
|  | int | bbeaconColor,
|  | double | wweight
| ) |

| Definition at line 14 of file LandmarkState.cpp. References beaconColor, and typeWeight.

## Member Data Documentation

Vector3<double> LandmarkState::position

| Definition at line 24 of file LandmarkState.h.

int LandmarkState::beaconColor

| Definition at line 34 of file LandmarkState.h. Referenced by LandmarkState(), and LandmarksState::setLandmarkVisibleByBeaconType().

bool LandmarkState::visible

| Definition at line 37 of file LandmarkState.h. Referenced by LandmarksState::reset(), LandmarksState::seenAnyBeacon(), LandmarksState::seenAnyFlag(), LandmarksState::setLandmarkVisibleByBeaconType(), and LandmarksState::update().

long LandmarkState::timeWhenLastSeen

| Definition at line 38 of file LandmarkState.h. Referenced by LandmarksState::lastSeenBeaconIndex(), LandmarksState::reset(), LandmarksState::setLandmarkVisibleByBeaconType(), and LandmarksState::timeOfLastSeenBeacon().

double LandmarkState::typeWeight

| Definition at line 39 of file LandmarkState.h. Referenced by LandmarkState().

The documentation for this class was generated from the following files:

- Representations/Cognition/LandmarkState.h
- Representations/Cognition/LandmarkState.cpp